/*
 * Copyright (c) 2018 Eclipse Foundation, Inc.
 * 
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 * 
 * Contributors:
 *   Christopher Guindon <chris.guindon@eclipse-foundation.org>
 * 
 * SPDX-License-Identifier: EPL-2.0
*/


// Classes styles: Typography
// css classes for text formating.

h2, h3, h4, h5, h6 { 
  line-height: 1.3em;  
}

/* Text styles */
.uppercase{
    text-transform: uppercase;
}

.capitalize {
  text-transform: capitalize;
}

// Font sizes
.fs-xs {
  font-size: @font-size-xs;
}

.fs-sm {
  font-size: @font-size-sm;
}

.fs-md {
  font-size: @font-size-md;
}

.fs-lg {
  font-size: @font-size-lg;
}

.fs-xl {
  font-size: @font-size-xl;
}

// Heading font sizes

.fs-1 {
  font-size: @font-size-h1;
}

.fs-2 {
  font-size: @font-size-h2;
}

.fs-3 {
  font-size: @font-size-h3;
}

.fs-4 {
  font-size: @font-size-h4;
}

.fs-5 {
  font-size: @font-size-h5;
}

.fs-6 {
  font-size: @font-size-h6;
}

// Font styles

.fst-normal {
  font-style: normal;
}

.fst-italic {
  font-style: italic;
}

// Font Weights
.fw-200 {
    font-weight:200;
}

.fw-300{
    font-weight:300;
}

.fw-400{
    font-weight:400;
}

.fw-500 {
  font-weight: 500;
}

.fw-600{
    font-weight:600;
}

.fw-700{
    font-weight:700;
}

.emphasis{
    color:@brand-warning;
    font-weight:700;
}

// Ellipsis
.ellipsis {
  white-space: nowrap;
  overflow: hidden;
  text-overflow: ellipsis;
}

.underlined {
  text-decoration:underline;
}

.small{
  font-size:10px;
}

.big{
  font-size:20px;
}

.font-size-large{
    font-size:58px;
}

.text-highlight{
  background:#eee;
  padding:12px 24px;
}

.white-space-normal {
  white-space:normal;
}

.header-short-underline {
  font-size:18px;
  font-weight:bold;
  &:after {
    content: "";
    position: relative;
    display: block;
    width: 50px;
    height: 3px;
    border-bottom: 2px solid;
    margin: 0 auto;
    top: 5px;
  }
}

// Apply this on all the links except the buttons
a{
  &:visited {
    color:@link-visited-color;
  }
}

a[name], a[name]:hover {
  font-weight: inherit;
  text-decoration: inherit;
  color: inherit;
  background-color: inherit;
}

.a-underline {
  text-decoration:underline;
  &:hover {
    text-decoration:none;
  }
}

blockquote{
  font-size: @font-size-base;
}

// Example: eclipse.org/artwork
.top-level-heading {
  background: @brand-secondary;
  position:relative;
  padding:20px;
  margin-bottom:30px;
  color: #fff;
  &:after {
    width: 0;
    height: 0;
    border-left: 20px solid transparent;
    border-right: 20px solid transparent;
    border-top: 20px solid @brand-secondary;
    position:absolute;
    content: "";
    bottom: -20px;
    left: 50%;
    margin-left: -20px;
  }
}


// Example: eclipse.org/community/eclipse_newsletter/
.heading-underline {
  position:relative;
  font-size: @heading-underline-font-size;
  text-transform: uppercase;
  font-weight: @heading-underline-weight;
  margin: @heading-underline-margin;
  &:after {
    border-bottom: @heading-underline-border;
    content:"";
    display:block;
    width:100px;
    margin: 15px 0 0;
  }

  &.heading-underline-extended:after {
    width: 300px;
    max-width: 75%;
    height: @heading-underline-thickness;
      
    @media (min-width: 769px) {
      width: 400px;
    }
  }
  &.text-center:after {
    margin:10px auto 0;
  }
  &.text-left:after {
    margin: 15px 0 0;
  }
  &.text-right:after {
    margin: 15px 0 0 auto;
  }
}

.fa-xl {
  font-size:2.333333em;
}

.btn-xl {
  padding: 12px 24px;
  font-size: 21px;
  font-weight:200;
  line-height: 1.3333333;
  border-radius: 0;
}

.icon-backdrop {
  & {
    width: 100%;
    position: relative;
    display: inline-block;    
    background-color: #fff;
    text-align: center;
  }
  i {
    & {
      font-size: 25vw;
      padding-top: 33%;
    }
    @media(min-width: 768px) {
      & {
        font-size: 12vw;
      padding-top: 18%;
      }
    }
    @media(min-width: 1200px) {
      & {
        font-size: 9em;
      }
    }
  }
  i:before {
    color: @brand-primary;
  }
  .icon-container {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
  }
  .ratio {
    margin-top: 100%;
  }
}
